const tosdr = {
    "zoosk.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "youtube.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting",
                "broader than necessary",
                "user needs to check tosback.org",
                "reduction of legal period for cause of action"
            ],
            "good": [
                "help you deal with take-down notices"
            ]
        },
        "match": {
            "bad": [
                "device fingerprinting",
                "broader than necessary",
                "user needs to check tosback.org",
                "reduction of legal period for cause of action"
            ],
            "good": [
                "help you deal with take-down notices"
            ]
        },
        "class": "D"
    },
    "yahoo.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting",
                "user needs to check tosback.org",
                "pseudonym not allowed (not because of user-to-user trust)"
            ],
            "good": [
                "limited for purpose of same service",
                "limited for purpose of same service"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "xing.com": {
        "score": 0,
        "all": {
            "bad": [
                "pseudonym not allowed (not because of user-to-user trust)"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "xfire.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "worldofwarcraft.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "wordpress.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting",
                "user needs to check tosback.org"
            ],
            "good": [
                "limited for purpose of same service"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "wordfeud.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "wikipedia.org": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "suspension will be fair and proportionate",
                "you publish under a free license, not a bilateral one",
                "user feedback is invited",
                "only temporary session cookies"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "whatsapp.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "videobb.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "vbulletin.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "twitter.com": {
        "score": 0,
        "all": {
            "bad": [
                "little involvement",
                "sets third-party cookies and/or ads",
                "your content stays licensed",
                "very broad"
            ],
            "good": [
                "you can get your data back",
                "tracking data deleted after 10 days and opt-out",
                "archives provided"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "twitpic.com": {
        "score": 85,
        "all": {
            "bad": [
                "they can license to third parties",
                "reduction of legal period for cause of action",
                "responsible and indemnify"
            ],
            "good": []
        },
        "match": {
            "bad": [
                "they can license to third parties"
            ],
            "good": []
        },
        "class": false
    },
    "tumblr.com": {
        "score": 0,
        "all": {
            "bad": [
                "sets third-party cookies and/or ads",
                "keep a license even after you close your account"
            ],
            "good": [
                "archives provided",
                "third parties are bound by confidentiality obligations",
                "they state that you own your data"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "steampowered.com": {
        "score": -65,
        "all": {
            "bad": [
                "they can delete your account without prior notice and without a reason",
                "class action waiver",
                "personal data is given to third parties",
                "defend, indemnify, hold harmless; survives termination"
            ],
            "good": [
                "pseudonyms allowed",
                "you can leave at any time",
                "personal data is not sold",
                "you can request access and deletion of personal data",
                "user is notified a month or more in advance"
            ]
        },
        "match": {
            "bad": [
                "personal data is given to third parties"
            ],
            "good": [
                "personal data is not sold",
                "you can request access and deletion of personal data"
            ]
        },
        "class": false
    },
    "store.steampowered.com": {
        "score": -65,
        "all": {
            "bad": [
                "they can delete your account without prior notice and without a reason",
                "class action waiver",
                "personal data is given to third parties",
                "defend, indemnify, hold harmless; survives termination"
            ],
            "good": [
                "pseudonyms allowed",
                "you can leave at any time",
                "personal data is not sold",
                "you can request access and deletion of personal data",
                "user is notified a month or more in advance"
            ]
        },
        "match": {
            "bad": [
                "personal data is given to third parties"
            ],
            "good": [
                "personal data is not sold",
                "you can request access and deletion of personal data"
            ]
        },
        "class": false
    },
    "spotify.com": {
        "score": 10,
        "all": {
            "bad": [
                "no promise to inform/notify",
                "they can delete your account without prior notice and without a reason",
                "spotify may transfer and process your data to somewhere outside of your country-bad-50",
                "you grant perpetual license to anything you publish-bad-80",
                "no quality guarantee",
                "no quality guarantee",
                "third parties may be involved in operating the service",
                "personal data is given to third parties"
            ],
            "good": [
                "you can leave at any time",
                "info given about what personal data they collect",
                "info given about intended use of your information",
                "info given about risk of publishing your info online",
                "they educate you about the risks"
            ]
        },
        "match": {
            "bad": [
                "personal data is given to third parties"
            ],
            "good": []
        },
        "class": false
    },
    "soundcloud.com": {
        "score": 20,
        "all": {
            "bad": [
                "may sell your data in merger",
                "responsible and indemnify",
                "third-party cookies, but with opt-out instructions"
            ],
            "good": [
                "user is notified a month or more in advance",
                "your personal data is used for limited purposes",
                "you have control over licensing options",
                "easy to read",
                "you can leave at any time",
                "pseudonyms allowed"
            ]
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": "B"
    },
    "sonic.net": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "logs are deleted after two weeks"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "skype.com": {
        "score": 0,
        "all": {
            "bad": [
                "you may not express negative opinions about them",
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "seenthis.net": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "you can get your data back",
                "you can leave at any time",
                "you have control over licensing options"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "you can get your data back",
                "you can leave at any time",
                "you have control over licensing options"
            ]
        },
        "class": "A"
    },
    "runescape.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "rapidshare.com": {
        "score": -50,
        "all": {
            "bad": [],
            "good": [
                "user is notified a month or more in advance",
                "your personal data is used for limited purposes",
                "they do not index or open files",
                "99.x% availability",
                "no third-party access without a warrant"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no third-party access without a warrant"
            ]
        },
        "class": false
    },
    "quora.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "phpbb.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "packagetrackr.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "owncube.com": {
        "score": -25,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": [
                "personal data is not sold"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "personal data is not sold"
            ]
        },
        "class": false
    },
    "olx.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "netflix.com": {
        "score": -20,
        "all": {
            "bad": [
                "they can delete your account without prior notice and without a reason",
                "class action waiver",
                "targeted third-party advertising",
                "no promise to inform/notify",
                "sets third-party cookies and/or ads",
                "no liability for unauthorized access",
                "user needs to check tosback.org"
            ],
            "good": [
                "easy to read",
                "you can request access and deletion of personal data"
            ]
        },
        "match": {
            "bad": [
                "targeted third-party advertising"
            ],
            "good": [
                "you can request access and deletion of personal data"
            ]
        },
        "class": false
    },
    "nabble.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "mint.com": {
        "score": 20,
        "all": {
            "bad": [
                "may sell your data in merger",
                "user needs to rely on tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": false
    },
    "microsoft.com": {
        "score": 60,
        "all": {
            "bad": [
                "tracks you on other websites",
                "your data may be stored anywhere in the world",
                "no promise to inform/notify",
                "class action waiver",
                "user needs to check tosback.org"
            ],
            "good": [
                "personalized ads are opt-out"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites"
            ],
            "good": []
        },
        "class": false
    },
    "lastpass.com": {
        "score": -50,
        "all": {
            "bad": [
                "no quality guarantee",
                "promotional communications are not opt-out",
                "no quality guarantee",
                "user needs to check tosback.org",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify",
                "they become the owner of ideas you give them"
            ],
            "good": [
                "pseudonyms allowed",
                "info given about security practices",
                "no third-party access without a warrant",
                "only necessary logs are kept",
                "only temporary session cookies",
                "legal documents published under reusable license"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no third-party access without a warrant"
            ]
        },
        "class": "B"
    },
    "kolabnow.com": {
        "score": -75,
        "all": {
            "bad": [],
            "good": [
                "no tracking cookies and web analytics opt-out-good-20",
                "no third-party access without a warrant",
                "free software; you can run your own instance",
                "only necessary logs are kept",
                "no third-party access without a warrant",
                "suspension will be fair and proportionate",
                "personal data is not sold",
                "4 weeks to review changes and possibility to negotiate-good-60"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no third-party access without a warrant",
                "personal data is not sold"
            ]
        },
        "class": "A"
    },
    "kolab.org": {
        "score": -75,
        "all": {
            "bad": [],
            "good": [
                "no tracking cookies and web analytics opt-out-good-20",
                "no third-party access without a warrant",
                "free software; you can run your own instance",
                "only necessary logs are kept",
                "no third-party access without a warrant",
                "suspension will be fair and proportionate",
                "personal data is not sold",
                "4 weeks to review changes and possibility to negotiate-good-60"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no third-party access without a warrant",
                "personal data is not sold"
            ]
        },
        "class": "A"
    },
    "kippt.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to rely on tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "jagex.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "user is notified a week or more in advance"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "instagram.com": {
        "score": 0,
        "all": {
            "bad": [
                "class action waiver",
                "very broad"
            ],
            "good": [
                "user is notified a week or more in advance"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "informe.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "imgur.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "ifttt.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "identi.ca": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "you publish under a free license, not a bilateral one"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "hypster.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "habbo.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "gravatar.com": {
        "score": 0,
        "all": {
            "bad": [
                "broader than necessary"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "grammarly.com": {
        "score": 20,
        "all": {
            "bad": [
                "no promise to inform/notify",
                "no pricing info given before you sign up",
                "may sell your data in merger",
                "your use is throttled"
            ],
            "good": []
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": false
    },
    "google.com": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.in": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.jp": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.de": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.uk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.br": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.fr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ru": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.it": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.hk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.es": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ca": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.mx": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.tr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.au": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.tw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.pl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.id": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ar": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ua": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.th": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.sa": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.eg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.nl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ve": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.za": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ph": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.se": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.sg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.be": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.az": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ao": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.co": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.kr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.at": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.vn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ng": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ch": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.no": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ro": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pe": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.pt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ae": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ie": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.dk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.dz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.hu": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.fi": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.il": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.kz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.kw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.nz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.lk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.by": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.do": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ly": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.rs": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.mm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.hr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ec": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.my": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.lt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.iq": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.si": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.af": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.gt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.lv": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.gh": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.bd": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.cu": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.jo": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.lb": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.sv": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ee": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.bh": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ba": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.uy": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ma": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.kh": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.py": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.np": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.cy": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ni": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.et": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cd": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.hn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ge": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.am": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.lu": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.qa": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.mz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.bw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.bn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.tj": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ht": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.zm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ke": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.al": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bf": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mu": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.cr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.la": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.bo": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.org": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.jm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.tz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.na": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ml": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.mt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.is": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bj": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ug": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.rw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.om": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ci": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bs": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.td": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ps": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.gi": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pa": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.sl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.uz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.md": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bi": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cat": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.so": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.bt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.je": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gy": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.me": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.zw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gp": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ls": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.as": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.bz": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cf": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mv": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ad": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.li": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.cv": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.vc": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ag": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ne": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.mw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ws": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.kg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.to": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.sb": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.tn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ga": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tl": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.im": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.fj": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.dj": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ac": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.iq": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.vg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.dm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sc": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.pt": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.cn": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.st": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ng": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ai": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ki": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.vu": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.jp": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.om": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.vi": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.gg": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.fm": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.hk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.ck": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tk": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.in": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.co.je": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.ve": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.tw": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.us": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ua": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.de.com": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.ms": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.com.by": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.nr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.br.com": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.sh": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.hk.com": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "google.kr": {
        "score": 220,
        "all": {
            "bad": [
                "device fingerprinting",
                "your content stays licensed",
                "tracks you on other websites",
                "third-party access without a warrant",
                "they can use your content for all their existing and future services",
                "they may stop providing the service at any time",
                "logs are kept forever"
            ],
            "good": [
                "user is notified a week or more in advance",
                "they provide a way to export your data",
                "archives provided",
                "limited for purpose across broad platform"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "they can use your content for all their existing and future services",
                "logs are kept forever"
            ],
            "good": []
        },
        "class": "C"
    },
    "github.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org",
                "defend, indemnify, hold harmless",
                "they can delete your account without prior notice and without a reason",
                "pseudonym not allowed (not because of user-to-user trust)"
            ],
            "good": [
                "info given about security practices",
                "will notify before merger",
                "you publish under a free license, not a bilateral one",
                "your personal data is used for limited purposes"
            ]
        },
        "match": {
            "bad": [
                "user needs to check tosback.org",
                "defend, indemnify, hold harmless",
                "they can delete your account without prior notice and without a reason",
                "pseudonym not allowed (not because of user-to-user trust)"
            ],
            "good": [
                "info given about security practices",
                "will notify before merger",
                "you publish under a free license, not a bilateral one",
                "your personal data is used for limited purposes"
            ]
        },
        "class": "B"
    },
    "freeforums.org": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "foxnews.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "flickr.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": [
                "you can choose the copyright license",
                "limited for purpose of same service",
                "you can choose with whom you share content"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "flattr.com": {
        "score": 0,
        "all": {
            "bad": [
                "sets third-party cookies and/or ads"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "facebook.com": {
        "score": 100,
        "all": {
            "bad": [
                "tracks you on other websites",
                "your data is used for many purposes",
                "very broad",
                "pseudonym not allowed (not because of user-to-user trust)",
                "many third parties are involved in operating the service"
            ],
            "good": [
                "user feedback is invited",
                "they state that you own your data"
            ]
        },
        "match": {
            "bad": [
                "tracks you on other websites",
                "your data is used for many purposes"
            ],
            "good": []
        },
        "class": false
    },
    "evernote.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "envato.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "ebuddy.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "duckduckgo.com": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "donttrack.us": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "spreadprivacy.com": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "duckduckhack.com": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "privatebrowsingmyths.com": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "duck.co": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "cispaletter.org": {
        "score": -100,
        "all": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "match": {
            "bad": [],
            "good": [
                "no tracking"
            ]
        },
        "class": "A"
    },
    "dropbox.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "disqus.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": [
                "they will help you react to others infringing on your copyright"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "dictionary.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "delicious.com": {
        "score": 20,
        "all": {
            "bad": [
                "only for your individual and non-commercial use",
                "sets third-party cookies and/or ads",
                "may sell your data in merger",
                "broad license including right to distribute through any media"
            ],
            "good": [
                "third parties are bound by confidentiality obligations"
            ]
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": "D"
    },
    "delicious.com.au": {
        "score": 20,
        "all": {
            "bad": [
                "only for your individual and non-commercial use",
                "sets third-party cookies and/or ads",
                "may sell your data in merger",
                "broad license including right to distribute through any media"
            ],
            "good": [
                "third parties are bound by confidentiality obligations"
            ]
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": "D"
    },
    "coursera.org": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to rely on tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "couchsurfing.org": {
        "score": 20,
        "all": {
            "bad": [
                "keep a license even after you close your account",
                "they can delete your account without prior notice and without a reason",
                "they become the owner of ideas you give them",
                "user needs to check tosback.org",
                "third-party cookies, but with opt-out instructions",
                "broader than necessary",
                "your content stays licensed",
                "may sell your data in merger"
            ],
            "good": []
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": false
    },
    "cnn.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "cnet.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "cloudant.com": {
        "score": 20,
        "all": {
            "bad": [
                "sets third-party cookies and/or ads",
                "no liability for unauthorized access",
                "user needs to check tosback.org",
                "may sell your data in merger",
                "defend, indemnify, hold harmless"
            ],
            "good": [
                "refund policy",
                "they provide a way to export your data",
                "you publish under a free license, not a bilateral one",
                "limited for purpose of same service",
                "will warn about maintenance",
                "they give 30 days notice before closing your account"
            ]
        },
        "match": {
            "bad": [
                "may sell your data in merger"
            ],
            "good": []
        },
        "class": "B"
    },
    "null": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "bitly.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "bearshare.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "bbc.com": {
        "score": 0,
        "all": {
            "bad": [
                "device fingerprinting"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "icloud.com": {
        "score": 0,
        "all": {
            "bad": [],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "apple.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "app.net": {
        "score": 0,
        "all": {
            "bad": [
                "defend, indemnify, hold harmless",
                "you may not scrape",
                "user needs to rely on tosback.org"
            ],
            "good": [
                "archives provided",
                "user feedback is invited",
                "easy to read",
                "you can delete your content",
                "pseudonyms allowed"
            ]
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "amazon.com": {
        "score": 110,
        "all": {
            "bad": [
                "may sell your data in merger",
                "tracks you on other websites",
                "targeted third-party advertising",
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [
                "may sell your data in merger",
                "tracks you on other websites",
                "targeted third-party advertising"
            ],
            "good": []
        },
        "class": false
    },
    "allrecipes.com": {
        "score": 0,
        "all": {
            "bad": [
                "user needs to check tosback.org"
            ],
            "good": []
        },
        "match": {
            "bad": [],
            "good": []
        },
        "class": false
    },
    "500px.com": {
        "score": 0,
        "all": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "match": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "class": "D"
    },
    "500px.me": {
        "score": 0,
        "all": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "match": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "class": "D"
    },
    "500px.org": {
        "score": 0,
        "all": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "match": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "class": "D"
    },
    "500px.net": {
        "score": 0,
        "all": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "match": {
            "bad": [
                "class action waiver",
                "broader than necessary",
                "they can delete your account without prior notice and without a reason",
                "responsible and indemnify"
            ],
            "good": [
                "pseudonyms allowed",
                "easy to read"
            ]
        },
        "class": "D"
    }
}